POST /akoamkocluster

POST /akoamkocluster

/akoamkocluster

Request
URI
POST
https://{api_host}/api/akoamkocluster
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

AkoAmkoCluster object creation

AkoAmkoCluster of type(s) application/json
Optional

Show optional properties

{
    "created_by": "string",
    "name": "string"
}
{
    "_last_modified": "string",
    "cloud_config_cksum": "string",
    "cloud_ref": "string",
    "cluster_type": "string",
    "created_by": "string",
    "deployment_info": {
        "namespace": "string",
        "pod_name": "string",
        "replica_count": 0
    },
    "metadata": {
        "cni": "string",
        "node_count": 0
    },
    "name": "string",
    "tenant_ref": "string",
    "url": "string",
    "uuid": "string",
    "version_info": {
        "ako_amko_version": "string",
        "kubernetes_version": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AkoAmkoCluster of type(s) application/json
{
    "_last_modified": "string",
    "cloud_config_cksum": "string",
    "cloud_ref": "string",
    "cluster_type": "string",
    "created_by": "string",
    "deployment_info": {
        "namespace": "string",
        "pod_name": "string",
        "replica_count": 0
    },
    "metadata": {
        "cni": "string",
        "node_count": 0
    },
    "name": "string",
    "tenant_ref": "string",
    "url": "string",
    "uuid": "string",
    "version_info": {
        "ako_amko_version": "string",
        "kubernetes_version": "string"
    }
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

string
cloud_config_cksum
Optional

Checksum of the cloud configuration for AkoAmkoCluster object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cloud_ref
Optional

Cloud reference UUID in Avi Controller. It is a reference to an object of type Cloud. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cluster_type
Optional

Type of operator - AKO or AMKO. Enum options - CLUSTER_TYPE_AKO, CLUSTER_TYPE_AMKO. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
created_by
Required  

AKO/AMKO user identifier. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
deployment_info
Optional

deployment_info

object
metadata
Optional

metadata

string
name
Required  

Name of the AKO/AMKO cluster. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

Tenant that AKO/AMKO cluster belongs to. It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

UUID of the AKO/AMKO cluster. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
version_info
Optional

version_info


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"created_by":"string","name":"string"}' https://{api_host}/api/akoamkocluster